## ruby-sentry-raven 0.15.3

=== Makefile ===
# lol
VERSION := `cat lib/raven/version.rb | grep -e 'VERSION =' | cut -c 14- | rev | cut -c 2- | rev`

test:
	bundle install
	bundle exec rubocop
	bundle exec rake spec

release:
	gem build sentry-raven.gemspec
	gem push sentry-raven-${VERSION}.gem

=== debian/changelog ===
ruby-sentry-raven (0.15.3-1) unstable; urgency=medium

  * Initial release (Closes: #813186)

 -- Balasankar C <balasankarc@autistici.org>  Sat, 30 Jan 2016 12:31:09 +0530

=== debian/control ===
Source: ruby-sentry-raven
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Balasankar C <balasankarc@autistici.org>
Build-Depends: debhelper (>= 9~),
               gem2deb,
               libjs-jquery,
               rake,
               ruby-faraday (>= 0.7.6),
               ruby-rails,
               ruby-rspec,
               ruby-rspec-rails, ruby-timecop
Standards-Version: 3.9.6
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-sentry-raven.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-sentry-raven.git
Homepage: https://github.com/getsentry/raven-ruby
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-sentry-raven
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: rake,
         ruby | ruby-interpreter,
         ruby-delayed-job,
         ruby-faraday (>= 0.7.6),
         ruby-rack,
         ruby-rails,
         ruby-sidekiq,
         ${misc:Depends},
         ${shlibs:Depends}
Description: client interface for the Sentry error logger
 This package provides the gem sentry-raven. This gem provides a client
 interface for the Sentry error logger. Sentry provides real-time crash
 reporting for your web apps, mobile apps, and games.

=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_build:
	dh_auto_build
	rdoc --main=README.md --exclude=commands lib
	rm -rf usr/share/doc/ruby-sentry-raven/doc/js/jquery.js
	rm -rf doc/js/navigation.js.gz doc/js/search_index.js.gz doc/js/searcher.js.gz doc/js/searcher.js.gz

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc
	rm -rf Gemfile.lock

=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/sentry-raven .*/sentry-raven-(.*).tar.gz

## ruby-sentry-raven 1.1.0

=== Makefile ===
# lol
VERSION := `grep '\d+\.\d+\.\d+' -o -E --color=never lib/raven/version.rb`

test:
	bundle install
	bundle exec rubocop
	bundle exec rake spec

release:
	gem build sentry-raven.gemspec
	gem push sentry-raven-${VERSION}.gem

=== debian/changelog ===
ruby-sentry-raven (1.1.0-2) unstable; urgency=medium

  * Team upload
  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Thu, 01 Sep 2016 12:50:10 +0530

ruby-sentry-raven (1.1.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Pirate Praveen <praveen@debian.org>  Tue, 23 Aug 2016 13:58:53 +0530

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
                ruby-faraday (>= 0.7.6),
                ruby-rails,
                ruby-rspec,
-               ruby-rspec-rails, ruby-timecop
-Standards-Version: 3.9.6
+               ruby-rspec-rails,
+               ruby-timecop
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-sentry-raven.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-sentry-raven.git
 Homepage: https://github.com/getsentry/raven-ruby

## ruby-sentry-raven 2.1.2

=== debian/changelog ===
ruby-sentry-raven (2.1.2-2) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Fri, 11 Nov 2016 12:05:29 +0530

ruby-sentry-raven (2.1.2-1) experimental; urgency=medium

  * New upstream release
  * Add myself to uploaders
  * Refresh patches
  * Add ruby-sidekiq to builddeps

 -- Pirate Praveen <praveen@debian.org>  Tue, 01 Nov 2016 13:05:52 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: ruby
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-Uploaders: Balasankar C <balasankarc@autistici.org>
+Uploaders: Balasankar C <balasankarc@autistici.org>,
+ Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper (>= 9~),
                gem2deb,
                libjs-jquery,
@@ -11,7 +12,8 @@
                ruby-rails,
                ruby-rspec,
                ruby-rspec-rails,
-               ruby-timecop
+               ruby-timecop,
+               ruby-sidekiq
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-sentry-raven.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-sentry-raven.git

## ruby-sentry-raven 2.5.1

=== debian/changelog ===
ruby-sentry-raven (2.5.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  
 -- Sagar Ippalpalli <i.vikram15@gmail.com>  Sun, 04 Jun 2017 21:11:22 +0530

## ruby-sentry-raven 2.6.3

=== debian/changelog ===
ruby-sentry-raven (2.6.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.6.3
  * Bump Standards-Version to 4.1.1 (no changes needed)
  * Refresh disable-tests-requiring-rubocop.patch
  * Install raven script as example instead of in /usr/bin (Closes: #875794)

 -- Cédric Boutillier <boutil@debian.org>  Sun, 01 Oct 2017 23:35:32 +0200

ruby-sentry-raven (2.5.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release.
  * Bump Standard-Versions to 4.1.0

 -- Abhijith PA <abhijith@openmailbox.org>  Sun, 03 Sep 2017 12:47:46 +0530

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                ruby-rspec-rails,
                ruby-timecop,
                ruby-sidekiq
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-sentry-raven.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-sentry-raven.git
 Homepage: https://github.com/getsentry/raven-ruby

## ruby-sentry-raven 2.7.2

=== debian/changelog ===
ruby-sentry-raven (2.7.2-2) unstable; urgency=medium

  * Enable tests depending on rack-timeout (ruby-rack-timeout is now available)

 -- Pirate Praveen <praveen@debian.org>  Tue, 08 May 2018 16:02:43 +0530

ruby-sentry-raven (2.7.2-1) unstable; urgency=medium

  * New upstream version 2.7.2
  * Bump Standards-Version to 4.1.4 (no changes needed)
  * Bump debhelper compatibility level to 11
  * Use salsa.debian.org in Vcs-* fields
  * Refresh patches
  * Disable tests depending on rack-timeout (not packaged)

 -- Pirate Praveen <praveen@debian.org>  Mon, 23 Apr 2018 16:17:14 +0530

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Balasankar C <balasankarc@autistici.org>,
  Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                gem2deb,
                libjs-jquery,
                rake,
@@ -13,10 +13,11 @@
                ruby-rspec,
                ruby-rspec-rails,
                ruby-timecop,
-               ruby-sidekiq
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-sentry-raven.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-sentry-raven.git
+               ruby-sidekiq,
+               ruby-rack-timeout
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-raven.git
+Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-raven
 Homepage: https://github.com/getsentry/raven-ruby
 Testsuite: autopkgtest-pkg-ruby
 XS-Ruby-Versions: all

## ruby-sentry-raven 2.7.4

=== debian/changelog ===
ruby-sentry-raven (2.7.4-1) unstable; urgency=medium

  * New upstream version 2.7.4
  * Disable bad test failing with rspec 3.8 (Closes: #908258)
  * Bump Standards-Version to 4.2.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sat, 13 Oct 2018 11:50:25 +0530

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                ruby-timecop,
                ruby-sidekiq,
                ruby-rack-timeout
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-raven.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-raven
 Homepage: https://github.com/getsentry/raven-ruby

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,11 @@
 	rm -rf usr/share/doc/ruby-sentry-raven/doc/js/jquery.js
 	rm -rf doc/js/navigation.js.gz doc/js/search_index.js.gz doc/js/searcher.js.gz doc/js/searcher.js.gz
 
+override_dh_auto_install:
+	dh_auto_install
+	#remove raven script from /usr/bin, installed as an example
+	$(RM) -r debian/ruby-sentry-raven/usr/bin/
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf doc

## ruby-sentry-raven 2.9.0

=== debian/changelog ===
ruby-sentry-raven (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Remove disable-bad-test-failing-with-rspec-3.8.patch (applied upstream)

 -- Pirate Praveen <praveen@debian.org>  Fri, 17 May 2019 13:49:29 +0530

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                ruby-timecop,
                ruby-sidekiq,
                ruby-rack-timeout
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-raven.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-raven
 Homepage: https://github.com/getsentry/raven-ruby

## ruby-sentry-raven 2.13.0

=== debian/changelog ===
ruby-sentry-raven (2.13.0-3) unstable; urgency=medium

  * Support rails 6 (Closes: #965218)
  * Fix typo: Rules-Requires-root => Rules-Requires-Root

 -- Pirate Praveen <praveen@debian.org>  Thu, 13 Aug 2020 16:16:34 +0530

ruby-sentry-raven (2.13.0-2) unstable; urgency=medium

  * Remove unnecessary runtime dependencies

 -- Pirate Praveen <praveen@debian.org>  Fri, 17 Jul 2020 23:22:12 +0530

ruby-sentry-raven (3.0.0-1) experimental; urgency=medium

  * New upstream version 3.0.0
  * Bump minimum version of ruby-faraday to 1.0
  * Drop patch already applied upstream
  * Move cleaning logic to debian/clean and remove more generated files

 -- Pirate Praveen <praveen@debian.org>  Tue, 23 Jun 2020 16:55:23 +0530

ruby-sentry-raven (2.13.0-1) unstable; urgency=medium

  * Team upload.

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Pirate Praveen ]
  * New upstream version 2.13.0

  [ Lucas Kanashiro ]
  * Add patch to skip failing JSON related test as recommended by upstream
    (Closes: #950962)
  * Bump debhelper compatibility level to 12
  * Declare compliance with Debian Policy 4.5.0
  * d/controle: rules does not require root
  * Do not runtime depend on ruby interpreter
  * d/copyright: use secure url in Format field

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Mon, 24 Feb 2020 12:14:29 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Balasankar C <balasankarc@autistici.org>,
  Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                gem2deb,
                libjs-jquery,
                rake,
@@ -15,23 +15,18 @@
                ruby-timecop,
                ruby-sidekiq,
                ruby-rack-timeout
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-raven.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-raven
 Homepage: https://github.com/getsentry/raven-ruby
 Testsuite: autopkgtest-pkg-ruby
 XS-Ruby-Versions: all
+Rules-Requires-Root: no
 
 Package: ruby-sentry-raven
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: rake,
-         ruby | ruby-interpreter,
-         ruby-delayed-job,
-         ruby-faraday (>= 0.7.6),
-         ruby-rack,
-         ruby-rails,
-         ruby-sidekiq,
+Depends: ruby-faraday (>= 0.7.6),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: client interface for the Sentry error logger

## ruby-sentry-raven 3.0.0

=== debian/changelog ===
ruby-sentry-raven (3.0.0-2) unstable; urgency=medium

  * Reupload to unstable

  [ Pirate Praveen ]
  * Merge changes from master-2 branch

  [ Cédric Boutillier ]
  * Update team name
  * Add .gitattributes to keep unwanted files out of the source package

 -- Pirate Praveen <praveen@debian.org>  Tue, 01 Dec 2020 16:58:32 +0530

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: ruby-sentry-raven
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Balasankar C <balasankarc@autistici.org>,
  Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper (>= 12~),
                gem2deb,
                libjs-jquery,
                rake,
-               ruby-faraday (>= 0.7.6),
+               ruby-faraday (>= 1.0~),
                ruby-rails,
                ruby-rspec,
                ruby-rspec-rails,
@@ -26,7 +26,7 @@
 Package: ruby-sentry-raven
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby-faraday (>= 0.7.6),
+Depends: ruby-faraday (>= 1.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: client interface for the Sentry error logger

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,3 @@
 	dh_auto_install
 	#remove raven script from /usr/bin, installed as an example
 	$(RM) -r debian/ruby-sentry-raven/usr/bin/
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf doc
-	rm -rf Gemfile.lock

=== debian/watch ===
version=3
https://github.com/getsentry/raven-ruby/tags .*/v?([\d\.]+[\d])\.tar\.gz

## ruby-sentry-raven 3.1.2+ds

=== sentry-raven/Makefile ===
build:
	bundle install
	gem build sentry-raven.gemspec

=== debian/changelog ===
ruby-sentry-raven (3.1.2+ds-3) unstable; urgency=medium

  * Switch to gem-install layout for bundle --local compatibility

 -- Pirate Praveen <praveen@debian.org>  Mon, 24 Jan 2022 13:07:24 +0530

ruby-sentry-raven (3.1.2+ds-2) unstable; urgency=medium

  * Reupload to unstable
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Drop compat file, rely on debhelper-compat and bump compat level to 13

 -- Pirate Praveen <praveen@debian.org>  Fri, 10 Sep 2021 00:56:14 +0530

ruby-sentry-raven (3.1.2+ds-1) experimental; urgency=medium

  * Team upload
  * New upstream version 3.1.2
  * Update watch file to the correct page of tags
  * Update Files-Excluded and Files-Included to include only relevant files
  * Specify sub-directory for binary package
  * Remove rails6 patch already applied upstream

 -- Sruthi Chandran <srud@debian.org>  Wed, 18 Aug 2021 02:16:49 +0530

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Balasankar C <balasankarc@autistici.org>,
  Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                gem2deb,
                libjs-jquery,
                rake,
@@ -15,7 +15,7 @@
                ruby-timecop,
                ruby-sidekiq,
                ruby-rack-timeout
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-raven.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-raven
 Homepage: https://github.com/getsentry/raven-ruby
@@ -26,6 +26,7 @@
 Package: ruby-sentry-raven
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
+X-DhRuby-Root: sentry-raven/
 Depends: ruby-faraday (>= 1.0~),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,14 @@
 #!/usr/bin/make -f
 
 export GEM2DEB_TEST_RUNNER = --check-dependencies
+export DH_RUBY = --gem-install
 
 %:
 	dh $@ --buildsystem=ruby --with ruby
 
 override_dh_auto_build:
 	dh_auto_build
-	rdoc --main=README.md --exclude=commands lib
+	rdoc --main=sentry-raven/README.md --exclude=commands sentry-raven/lib
 	rm -rf usr/share/doc/ruby-sentry-raven/doc/js/jquery.js
 	rm -rf doc/js/navigation.js.gz doc/js/search_index.js.gz doc/js/searcher.js.gz doc/js/searcher.js.gz

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repack,compression=xz,repacksuffix=+ds,\
https://github.com/getsentry/sentry-ruby/tags?after=sentry-ruby-v4.4.0-beta.0 .*/sentry-raven-v?([\d\.]+[\d])\.tar\.gz
